package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.eas.framework.report.CommRptBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.custom.gggl.app.*;
import com.kingdee.eas.framework.report.ICommRptBase;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;

public class ZtPaidReportFacade extends CommRptBase implements IZtPaidReportFacade
{
    public ZtPaidReportFacade()
    {
        super();
        registerInterface(IZtPaidReportFacade.class, this);
    }
    public ZtPaidReportFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IZtPaidReportFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("C6BBAB92");
    }
    private ZtPaidReportFacadeController getController() throws BOSException
    {
        return (ZtPaidReportFacadeController)getBizController();
    }
}